package CUED::EDDA::Schema::Other;

use 5.006;
use strict;
use warnings;

use base 'CUED::EDDA::SchemaBase';

our $VERSION = '0.01';

__PACKAGE__->load_components(qw(Core));

__PACKAGE__->table('edda_others');
__PACKAGE__->add_columns(qw(
				      personnel_key
				      organisation
				      sponsoring_staff_personnel_key
				      authorising_personnel_key
				      start_date
				      finish_date
				      div_id
				      access_to_ts
				      access_to_research_machine
				      research_machine_name
				      research_group_name
));

__PACKAGE__->set_primary_key('personnel_key');

sub div_name {
    my $self = shift;
    my $div_id = $self->div_id();
    return undef unless $div_id;
    return $self->longdiv($div_id);
}

1;
