package CUED::EDDA::Schema::Pgrad;

use 5.006;
use strict;
use warnings;

use base 'CUED::EDDA::SchemaBase';

our $VERSION = '0.01';

__PACKAGE__->load_components(qw(Core));

__PACKAGE__->table('edda_pgrad');
__PACKAGE__->add_columns(qw(
				     personnel_key
				     bgs_number
				     start_p
				     end_p
				     course
				     div_id
				     research_group_name
				     supervisor_pk
				     supervisor_name
				     supervisor_start
));

__PACKAGE__->set_primary_key('personnel_key');

sub div_name {
    my $self = shift;
    my $div_id = $self->div_id();
    return undef unless $div_id;
    return $self->longdiv($div_id);
}

1;
