package CUED::EDDA::Schema::Retired;

use 5.006;
use strict;
use warnings;

use base 'CUED::EDDA::SchemaBase';

our $VERSION = '0.01';

__PACKAGE__->load_components(qw(Core));

__PACKAGE__->table('edda_retired');
__PACKAGE__->add_columns(qw(
				       personnel_key
				       date_retired
				       access_to_dept
				       access_to_teaching_system
				       access_to_research_machine
				       research_machine
				       div_id
				       research_group_name
));

__PACKAGE__->set_primary_key('personnel_key');

sub div_name {
    my $self = shift;
    my $div_id = $self->div_id();
    return undef unless $div_id;
    return $self->longdiv($div_id);
}

1;
