package CUED::EDDA::Schema::Staff;

use 5.006;
use strict;
use warnings;

use base 'CUED::EDDA::SchemaBase';

our $VERSION = '0.01';

__PACKAGE__->load_components(qw(Core));

__PACKAGE__->table('edda_staff');
__PACKAGE__->add_columns(qw(
				     job_id
				     personnel_key
				     on_sabbatical
				     sabbatical_return_date
				     primary_div_id
				     job_description
				     job_title
				     manager_personnel_key
				     established
				     assistant_staff
				     full_time
				     hours_contracted
				     job_start_date
				     job_end_date
				     secretarial
				     comments
				     research_group_name
));

__PACKAGE__->set_primary_key('job_id');

sub primary_div_name {
    my $self = shift;
    my $div_id = $self->primary_div_id();
    return undef unless $div_id;
    return $self->longdiv($div_id);
}

1;
