package CUED::EDDA::Schema::Visitor;

use 5.006;
use strict;
use warnings;

use base 'CUED::EDDA::SchemaBase';

our $VERSION = '0.01';

__PACKAGE__->load_components(qw(Core));

__PACKAGE__->table('edda_visitors');
__PACKAGE__->add_columns(qw(
				       personnel_key
				       institution
				       council_approval_date
				       host_personnel_key
				       comments
				       start_date
				       end_date
				       div_id
				       visitor_type
				       research_group_name
				       job_number
));

__PACKAGE__->set_primary_key('personnel_key');

sub div_name {
    my $self = shift;
    my $div_id = $self->div_id();
    return undef unless $div_id;
    return $self->longdiv($div_id);
}

1;
