package CUED::EDDA::SchemaBase;

use 5.006;
use strict;
use warnings;

use base 'DBIx::Class';

use CUED::EDDA::Division ();

our $VERSION = '0.01';

# by_pk for Ugrad classes

sub find_current : ResultSet {
    my ($self, $pk) = @_;
    my $class = ref($self);
    my ($year) = ($class =~ /Ugrad([1-4])(::_resultset)?$/);
    die "Not supported for '$class'" unless $year;
    my $end = "end_$year";
    my $start = "start_$year";
    my @p = $self->search({personnel_key => $pk});
    foreach my $p (@p) {

	#Sometimes the date returned by $p->end_x returns a string like 30-SEP-06
	#Rather than a string like : 2006-09-30 00:00:00 this doesn't seem to happen when run from the command line?!
	#if so this date needs converting - because of y2k we need to check the start date also - once we have figured out why this rendering happens we can revert

	my $tmpend = $p->$end();
	my $tmpstart = $p->$start();
	if ($tmpend =~ m/([0-9]{2})-([A-Z]{3})-([0-9]{2})/ ){
	    my %months = ( "JAN"=>"01","FEB"=>"02","MAR"=>"03","APR"=>"04","MAY"=>"05","JUN"=>"06","JUL"=>"07","AUG"=>"08","SEP"=>"09","OCT"=>"10","NOV"=>"11","DEC"=>"12" );
	    $tmpend = "20".$3."-".$months{$2}."-".$1;
	    $tmpstart =~ m/([0-9]{2})-([A-Z]{3})-([0-9]{2})/;
	    $tmpstart = "20".$3."-".$months{$2}."-".$1;
	    
	}
	if ( $tmpend gt $p->today() && $p->today() gt $tmpstart )
	{
	    return $p;
	}
    }
    return undef;
}


# calculation of today's date, and method to return it
my ($day, $month, $year) = (localtime)[3,4,5];
$month++;
$year=$year+1900;
my $today = sprintf("%d-%02d-%02d 00:00:00", $year, $month, $day);
#my @months=("JAN","FEB","MAR","APR","MAY","JUN","JUL","AUG","SEP","OCT","NOV","DEC");
#my $today = sprintf("%d-%s-%02d 00:00:00", $year, $months[$month], $day);

sub today {
    return $today;
}

# method for retrieving division name by div id, inherited by Staff etc
sub longdiv {
    my ($proto,$div) = @_;
    my $division = CUED::EDDA::Division->by_id($div);
    my $longdiv = $division->div_name || undef;
    return $longdiv;
}

1;
